grub2/0315-tests-grub_script_expansion.in-Use-fixed-string-grep.patch
Peter Jones f74b50e380 Rebase to upstream, fix a pile of bugs. The usual.
Signed-off-by: Peter Jones <pjones@redhat.com>
2013-06-12 15:37:08 -04:00

58 lines
1.9 KiB
Diff

From 6964813fb87e25a58dc629bb7f9256cf149db1da Mon Sep 17 00:00:00 2001
From: Vladimir 'phcoder' Serbinenko <phcoder@gmail.com>
Date: Mon, 15 Apr 2013 01:53:33 +0200
Subject: [PATCH 315/482] * tests/grub_script_expansion.in: Use
fixed-string grep to skip over firmware error messages.
---
ChangeLog | 5 +++++
tests/grub_script_expansion.in | 6 +++---
2 files changed, 8 insertions(+), 3 deletions(-)
diff --git a/ChangeLog b/ChangeLog
index 7469030..1391202 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,5 +1,10 @@
2013-04-15 Vladimir Serbinenko <phcoder@gmail.com>
+ * tests/grub_script_expansion.in: Use fixed-string grep to skip over
+ firmware error messages.
+
+2013-04-15 Vladimir Serbinenko <phcoder@gmail.com>
+
* grub-core/kern/ieee1275/openfw.c (grub_ieee1275_devalias_next): Make
source and destination differ.
diff --git a/tests/grub_script_expansion.in b/tests/grub_script_expansion.in
index 03dc510..e46401c 100644
--- a/tests/grub_script_expansion.in
+++ b/tests/grub_script_expansion.in
@@ -21,12 +21,12 @@ disks=`echo ls | @builddir@/grub-shell| grep -av '^Network protocols:$'| grep -a
other=`echo insmod regexp\; echo \* | @builddir@/grub-shell`
for d in $disks; do
if echo "$d" |grep ',' >/dev/null; then
- if echo "$other" | grep "$d" >/dev/null; then
+ if echo "$other" | grep -F -- "$d" >/dev/null; then
echo "$d should not occur in * expansion" >&2
exit 1
fi
else
- if ! echo "$other" | grep "$d" >/dev/null; then
+ if ! echo "$other" | grep -F -- "$d" >/dev/null; then
echo "$d missing from * expansion" >&2
exit 1
fi
@@ -35,7 +35,7 @@ done
other=`echo insmod regexp\; echo '(*)' | @builddir@/grub-shell`
for d in $disks; do
- if ! echo "$other" | grep -F "$d" >/dev/null; then
+ if ! echo "$other" | grep -F -- "$d" >/dev/null; then
echo "$d missing from (*) expansion" >&2
exit 1
fi
--
1.8.2.1